=== debian/changelog ===
ros-noetic-mir-navigation (1.1.7-1buster) buster; urgency=high

  * Don't set cmake_policy CMP0048
  * Add license headers
  * Fix flake8 warnings
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 19 Jan 2023 23:00:00 -0000

ros-noetic-mir-navigation (1.1.6-1buster) buster; urgency=high

  * navigation: Reduce footprint to actual size
    This reduces the footprint:
    * 18 mm in front
    * 42 mm in the back
    * 27 mm at the sides
    Now the footprint exactly matches the bounding box of the mesh, with no
    padding. This should make navigation in tight spaces easier; let's hope
    it doesn't lead to collisions.
  * navigation: Move footprint_padding to proper namespace
    The footprint_padding parameter in the upper namespace was ignored,
    needed to be moved into local_costmap/global_costmap to take effect.
  * genmprim: Remove obsolete plt.hold()
    This fixes the following error:
    AttributeError: module 'matplotlib.pyplot' has no attribute 'hold'
  * mir_navigation: Remove static_map parameter
    This fixes the following warning:
    [ WARN] local_costmap: Pre-Hydro parameter "static_map" unused since "plugins" is provided
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 01 Jun 2022 22:00:00 -0000

ros-noetic-mir-navigation (1.1.5-1buster) buster; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 10 Feb 2022 23:00:00 -0000

ros-noetic-mir-navigation (1.1.4-1buster) buster; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 09 Dec 2021 23:00:00 -0000

ros-noetic-mir-navigation (1.1.3-1buster) buster; urgency=high

  * Merge branch 'melodic-2.8' into noetic
  * Rename tf frame and topic 'odom_comb' -> 'odom'
    This is how they are called on the real MiR since MiR software 2.0.
  * Reformat python code using black
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 10 Jun 2021 22:00:00 -0000

ros-noetic-mir-navigation (1.1.2-1buster) buster; urgency=high

  * Uncomment available dependencies in noetic (#79 <https://github.com/dfki-ric/mir_robot/issues/79>)
  * Contributors: Oscar Lima

 -- Martin Günther <martin.guenther@dfki.de>  Tue, 11 May 2021 22:00:00 -0000

ros-noetic-mir-navigation (1.1.1-1buster) buster; urgency=high

  * Add optional namespace to launch files
  * Add prefix to start_planner.launch (#67 <https://github.com/dfki-ric/mir_robot/issues/67>)
  * Update scripts to Python3 (Noetic)
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 10 Feb 2021 23:00:00 -0000

ros-noetic-mir-navigation (1.1.0-1buster) buster; urgency=high

  * Initial release into noetic
  * Remove hector_mapping dependency (not released in noetic)
  * Update scripts to Python3 (Noetic)
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Mon, 29 Jun 2020 22:00:00 -0000

ros-noetic-mir-navigation (1.0.6-1buster) buster; urgency=high

  * Add missing matplotlib dependency
  * plot_mprim: Fix color display
  * Fix bug in genmprim_unicycle_highcost_5cm
    In Python3, np.arange doesn't accept floats.
  * Fix some catkin_lint warnings
  * Set cmake_policy CMP0048 to fix warning
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Mon, 29 Jun 2020 22:00:00 -0000

ros-noetic-mir-navigation (1.0.5-1buster) buster; urgency=high

  * Rename hector_mapping.launch, add dependency
  * genmprim.py: Improve plotting
  * genmprim.py: Make executable
  * SBPL: Reduce allocated_time + initial_epsilon params
    This leads to shorter planning times, but will perhaps fail on larger
    maps.
  * Update mprim file to mir-software 2.0.17
    This was updated in 2.0.17 and hasn't changed through 2.6 at least.
  * Add genmprim_unicycle matlab + python script, fix mprim file
  * Adjust dwb params: split_path, finer trajectories (#43 <https://github.com/dfki-ric/mir_robot/issues/43>)
    - use split_path option to enforce following complex paths
    - more trajectory samples over a smaller simulated time. This fixes a
    problem where the robot would stop too far away from the goal, as all
    possible trajectories either overshot the goal, or were too short to
    reach into the next gridcell of the critics.
    - remove Oscillation critic (never helped)
  * added PathDistPrunedCritic for dwb (#42 <https://github.com/dfki-ric/mir_robot/issues/42>)
    which works exactly like the original PathDistCritic, except that it
    searches for a local minimum in the distance from the global path to the robots
    current position. It then prunes the global_path from the start up to
    this point, therefore approximately cutting of a segment of the path
    that the robot already followed.
  * Add default local_planner to move_base launch file
    This makes the hector_mapping Gazebo demo work with the instructions
    from the README (see #32 <https://github.com/dfki-ric/mir_robot/issues/32>).
  * Contributors: Martin Günther, Nils Niemann

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 30 Apr 2020 22:00:00 -0000

ros-noetic-mir-navigation (1.0.4-1buster) buster; urgency=high

  * Rviz config: Add planned paths + costmap from real MiR
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 05 May 2019 22:00:00 -0000

ros-noetic-mir-navigation (1.0.3-1buster) buster; urgency=high

  * fix frame_id for melodic (#18 <https://github.com/dfki-ric/mir_robot/issues/18>)
  * Tune dwb parameters
  * PathProgressCritic: Add heading score
  * Use dwb_local_planner in move_base config
  * Move footprint param to move_base root namespace
    This allows other move_base plugins, such as dwb_local_planner, to
    access this parameter.
  * Add hector_mapping
  * amcl.launch: Change default, remap service
    This is required if amcl.launch is started within a namespace.
  * teb_local_planner: Fix odom topic name

