=== debian/control ===
Source: ros-noetic-mir-navigation
Section: misc
Priority: optional
Maintainer: Martin Günther <martin.guenther@dfki.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-roslaunch
Homepage: https://github.com/dfki-ric/mir_robot
Standards-Version: 3.9.2

Package: ros-noetic-mir-navigation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-matplotlib, ros-noetic-amcl, ros-noetic-base-local-planner, ros-noetic-dwa-local-planner, ros-noetic-dwb-critics, ros-noetic-dwb-local-planner, ros-noetic-dwb-plugins, ros-noetic-hector-mapping, ros-noetic-map-server, ros-noetic-mir-driver, ros-noetic-mir-dwb-critics, ros-noetic-mir-gazebo, ros-noetic-move-base, ros-noetic-nav-core-adapter, ros-noetic-sbpl-lattice-planner, ros-noetic-teb-local-planner
Description: Launch and configuration files for move_base, localization etc.
 on the MiR robot.
